const spectra = {
    'XRD' : processXRD,
    'XRF' : processXRF,
};
/**
 * @todo process rawData and check spectrum type?
 * @param {string} rawData
 * @param {HTMLDivElement} container
 *
 * @returns {void}
 */
export function plot(rawData, containerId)
{
    let container = document.querySelector(`#${containerId}`);

    console.log(rawData[1]);

    Plotly.newPlot(container, 
        [{
            x: rawData[0],
            y: rawData[1],
        }],
        {
            margin: {t: 0}
        }
    );
}

const processXRD = rawData => {
    // Do stuff...
};

const processXRF = rawData => {
    // Do stuff...
};
